Skip to main content
`Ctrl`+`K`

# TaoTermView

View a description of a `TaoTerm`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermView(TaoTerm term, PetscViewer viewer)

Collective

## Input Parameters

- term - a `TaoTerm`

- viewer - a `PetscViewer`

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermCreate()`, `TaoTermSetType()`, `TaoTermSetFromOptions()`, `TaoTermSetUp()`, `TaoTermDestroy()`, `PetscViewer`

## Level

beginner

## Location

src/tao/term/interface/taoterm.c

## Examples

src/tao/term/tutorials/ex1.c

## Implementations

TaoTermView_Callbacks() in src/tao/term/impls/callbacks/taotermcallbacks.c
TaoTermView_L1() in src/tao/term/impls/l1/taoterml1.c
TaoTermView_Quadratic() in src/tao/term/impls/quadratic/taotermquadratic.c
TaoTermView_Shell() in src/tao/term/impls/shell/taotermshell.c
TaoTermView_Test() in src/tao/term/impls/shell/tests/ex1.c
TaoTermView_Sum() in src/tao/term/impls/sum/taotermsum.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages